Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class AudioOutputDevice

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.phonon.AudioOutputDevice

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class AudioOutputDevice

extends QtJambiObject
implements java.lang.Cloneable

This class provides information about an audio output device. It is used to select an audio output device for playback; see the AudioOutput class description.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`AudioOutputDevice()` Creates a new AudioOutputDevice

Method Summary
`AudioOutputDevice` | `clone()`
`java.lang.String` | `description()` Returns a more extensive description than the name() function.
`static AudioOutputDevice` | `fromNativePointer(QNativePointer nativePointer)` This method returns the AudioOutputDevice instance pointed to by `nativePointer`.
`int` | `index()` Returns a unique identifier for this ObjectDescription.
`boolean` | `isValid()` Returns true if the device or effect described exists.
`java.lang.String` | `name()` Returns a string appropriate for a user to select between object descriptions, e.g., from a `QComboBox`.
`static QNativePointer` | `nativePointerArray(AudioOutputDevice[] array)` This function returns a QNativePointer that is pointing to the specified AudioOutputDevice array.
`java.lang.Object` | `property(java.lang.String name)` Returns a named property.
`java.util.List` | `propertyNames()` Returns the names of the properties of this AudioOutputDevice.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### AudioOutputDevice

    public AudioOutputDevice()

  Creates a new AudioOutputDevice

Method Detail

### description

    public final java.lang.String description()

  Returns a more extensive description than the name() function.

  For example, in the case of s, this text should make clear which sound source is described; this is sometimes hard to describe or understand from just the name.

  The text is appropriate to present to an end user in for example tool tips of items, with the name()'s as text, in a `QComboBox`.

### index

    public final int index()

  Returns a unique identifier for this ObjectDescription. Used internally to distinguish between the descriptions.

  Notice that the identifiers are only unique to the type of description, e.g., or .

### isValid

    public final boolean isValid()

  Returns true if the device or effect described exists.

  An ObjectDescription that is invalid, will also have an index() of -1.

See also:
  index().

### name

    public final java.lang.String name()

  Returns a string appropriate for a user to select between object descriptions, e.g., from a `QComboBox`.

See also:
  description().

### propertyNames

    public final java.util.List propertyNames()

  Returns the names of the properties of this AudioOutputDevice.

### fromNativePointer

    public static AudioOutputDevice fromNativePointer(QNativePointer nativePointer)

  This method returns the AudioOutputDevice instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(AudioOutputDevice[] array)

  This function returns a QNativePointer that is pointing to the specified AudioOutputDevice array.

### property

    public final java.lang.Object property(java.lang.String name)

  Returns a named property. If the property is not set an invalid value is returned.

  Parameters:
    `name` - The name of the property to return
  Returns:
    The property corresponding to the name

### clone

    public AudioOutputDevice clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD